# Transition

- category: API
- chinese: 渐变
- type: API

---

## API

### Transition(domNode, styles, options, callback)
- domNode: can be found through `findDOMNode(this.refs.box)`. 
- styles:object, such as`{transform: 'rotate(720deg)'} ` `{transform: 'translate(150,150)'}`.

**Watching: in translate(150,150), the unit is rem, the component will be automatically converted to the corresponding `px` value under H5 and added to the `px` unit**

- options: animation parameters
````json
{
    timingFunction: 'ease-in-out',//Time function， Optional//ease-in,ease-in-out,ease-out,linear,cubic-bezier
    delay: 0, //delay (ms)
    duration: 500,  //Duration (ms)
    needLayout:false //whether need to update the layout. default: false
}
````

- callback: callback function.

## The Other
- Chat with <a href="dingtalk://dingtalkclient/action/sendmsg?dingtalk_id=kjwo3w5">@翊晨[yichen]</a> in Dingtalk desktop App <a href='https://tms.dingtalk.com/markets/dingtalk/download'>Download</a>
- DingTalk Group

<img src="https://img.alicdn.com/tfs/TB101EESpXXXXXFXpXXXXXXXXXX-1122-1362.jpg" width="260" /> 